Bug 835620 - Local debugging initialization can't be stopped
Local debugging initialization can't be stopped
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
Fedora Extras Quality Assurance
:
Depends On: 519233
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-26 11:40 EDT by Kamil Páral
Modified: 2014-01-21 18:22 EST (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 04:00:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (36.44 KB, image/png)
2012-06-26 11:40 EDT, Kamil Páral
no flags Details

  None (edit)
Description Kamil Páral 2012-06-26 11:40:47 EDT
Created attachment 594523 [details]
screenshot

Description of problem:
See screenshot. I have an extremely slow network so I decided to stop the process. But the stop button ("Zastavit") didn't work. I pressed it several times, nothing happened. The progress bar was still moving and it seemed like it's still examining the repositories. I had to close the whole window, then it probably finally stopped.

I would expect Abrt to stop the process and move me back to previous form.

Version-Release number of selected component (if applicable):
abrt-dbus-2.0.10-4.fc17.x86_64
abrt-libs-2.0.10-4.fc17.x86_64
abrt-addon-ccpp-2.0.10-4.fc17.x86_64
abrt-addon-python-2.0.10-4.fc17.x86_64
abrt-addon-vmcore-2.0.10-4.fc17.x86_64
abrt-desktop-2.0.10-4.fc17.x86_64
abrt-gui-2.0.10-4.fc17.x86_64
abrt-2.0.10-4.fc17.x86_64
abrt-addon-kerneloops-2.0.10-4.fc17.x86_64
abrt-retrace-client-2.0.10-4.fc17.x86_64
Comment 1 Jiri Moskovcak 2012-06-26 12:35:05 EDT
Can you please check if it really stopped when you closed the window? I'm bit suspicious it didn't... yum is extremelly persistent when you try to kill it.. (it's something with urlgrabber if I remember it..)
Comment 2 Kamil Páral 2012-06-27 04:57:05 EDT
There is no yum process when the debuginfo packages are being downloaded, so I don't know how to check it has stopped when the window is closed.

But even if I hit Stop during the debuginfo download and installation, it doesn't stop. So the button is completely non-functional.
Comment 3 Kamil Páral 2012-06-27 10:51:04 EDT
OK, so, the Stop button works only when generating backtrace (this action itself takes about 5 seconds). The button doesn't work when you want to stop repository initialization or debuginfo package download.
Comment 4 Jiri Moskovcak 2012-06-28 05:13:30 EDT
I think this one happnes because of this:

https://bugzilla.redhat.com/show_bug.cgi?id=519233
Comment 5 Fedora End Of Life 2013-07-03 22:18:40 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-08-01 04:01:05 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 7 Kamil Páral 2013-08-01 04:59:18 EDT
Seems fixed in F19.

Note You need to log in before you can comment on or make changes to this bug.